Bug 154369 - [patch] multimedia/libva: update to 1.0.8
Summary: [patch] multimedia/libva: update to 1.0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-29 09:30 UTC by swell.k
Modified: 2011-03-09 16:50 UTC (History)
0 users

See Also:


Attachments
a.diff (2.29 KB, patch)
2011-01-29 09:30 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2011-01-29 09:30:07 UTC
- update
- silence -Wreturn-type errors from clang
Comment 1 Edwin Groothuis freebsd_committer 2011-01-29 09:30:51 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-01-29 09:30:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 3 swell.k 2011-02-25 00:31:54 UTC
bump version to 1.0.10, it breaks vdpau-video less than -pre7, use ports/154370


--- a.diff begins here ---
Index: multimedia/libva/Makefile
===================================================================
RCS file: /a/.cvsup/ports/multimedia/libva/Makefile,v
retrieving revision 1.2
diff -u -p -r1.2 Makefile
--- multimedia/libva/Makefile	15 Jan 2011 22:30:25 -0000	1.2
+++ multimedia/libva/Makefile	10 Feb 2011 17:15:28 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	libva
-PORTVERSION=	1.0.7
+PORTVERSION=	1.0.10
 CATEGORIES=	multimedia
 MASTER_SITES=	http://cgit.freedesktop.org/${PORTNAME}/snapshot/
 
@@ -50,7 +50,8 @@ post-patch:	.SILENT
 	${REINPLACE_CMD} -e 's|\($$libdir\)/dri|\1/va|' \
 		-e 's|$${libdir}/\(pkgconfig\)|$${prefix}/libdata/\1|' \
 		${WRKSRC}/configure.ac
-	${REINPLACE_CMD} 's/va\(info\)/\1/' ${WRKSRC}/test/Makefile.am
+	${REINPLACE_CMD} 's/va\(info\)/\1/' \
+		${WRKSRC}/test/vainfo/Makefile.am
 	${REINPLACE_CMD} 's/-ldl//' ${WRKSRC}/va/Makefile.am
 	${REINPLACE_CMD} 's/LDFLAGS.*/& -Wl,-lc/' \
 		${WRKSRC}/dummy_drv_video/Makefile.am \
Index: multimedia/libva/distinfo
===================================================================
RCS file: /a/.cvsup/ports/multimedia/libva/distinfo,v
retrieving revision 1.1
diff -u -p -r1.1 distinfo
--- multimedia/libva/distinfo	13 Jan 2011 11:02:02 -0000	1.1
+++ multimedia/libva/distinfo	12 Feb 2011 22:33:10 -0000
@@ -1,2 +1,2 @@
-SHA256 (libva-1.0.7.tar.bz2) = 4c33ceb3cef3a7be542ed0f87f3cb75838b5d0c1246a39319138ca4df98c73fb
-SIZE (libva-1.0.7.tar.bz2) = 462067
+SHA256 (libva-1.0.10.tar.bz2) = 05f757f0043dce9f753d354d15e0cb772b1240cc9d29d26bbb5526285a203693
+SIZE (libva-1.0.10.tar.bz2) = 459017
Index: multimedia/libva/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/multimedia/libva/pkg-plist,v
retrieving revision 1.1
diff -u -p -r1.1 pkg-plist
--- multimedia/libva/pkg-plist	13 Jan 2011 11:02:02 -0000	1.1
+++ multimedia/libva/pkg-plist	10 Feb 2011 16:30:00 -0000
@@ -15,16 +15,21 @@ bin/vatest_10
 bin/vatest_11
 include/va/va.h
 include/va/va_backend.h
+include/va/va_backend_egl.h
 include/va/va_backend_glx.h
 include/va/va_backend_tpi.h
 include/va/va_dri.h
 include/va/va_dri2.h
 include/va/va_dricommon.h
 include/va/va_dummy.h
+include/va/va_egl.h
 include/va/va_glx.h
 include/va/va_tpi.h
 include/va/va_version.h
 include/va/va_x11.h
+lib/libva-egl.la
+lib/libva-egl.so
+lib/libva-egl.so.1
 lib/libva-glx.la
 lib/libva-glx.so
 lib/libva-glx.so.1
@@ -39,6 +44,7 @@ lib/libva.so
 lib/libva.so.1
 lib/va/dummy_drv_video.la
 lib/va/dummy_drv_video.so
+libdata/pkgconfig/libva-egl.pc
 libdata/pkgconfig/libva-glx.pc
 libdata/pkgconfig/libva-tpi.pc
 libdata/pkgconfig/libva-x11.pc
Index: multimedia/libva/files/patch-test-encode-h264encode.c
===================================================================
RCS file: multimedia/libva/files/patch-test-encode-h264encode.c
diff -N multimedia/libva/files/patch-test-encode-h264encode.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ multimedia/libva/files/patch-test-encode-h264encode.c	14 Jan 2011 21:52:54 -0000
@@ -0,0 +1,20 @@
+--- test/encode/h264encode.c~
++++ test/encode/h264encode.c
+@@ -144,7 +144,7 @@ static int save_coded_buf(VABufferID cod
+         printf("(SKipped)");
+     printf("                                    ");
+ 
+-    return;
++    return 0;
+ }
+ 
+ 
+@@ -188,7 +188,7 @@ static int display_surface(int frame_id,
+         }	
+     }	
+ 
+-    return;
++    return 0;
+ }
+ 
+ enum {
--- a.diff ends here ---
Comment 4 dfilter service freebsd_committer 2011-03-09 16:49:45 UTC
miwi        2011-03-09 16:49:36 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/libva     Makefile distinfo pkg-plist 
  Added files:
    multimedia/libva/files patch-test-encode-h264encode.c 
  Log:
  - Update to 1.0.8
  
  PR:             154369
  Submitted by:   Anonymous <swell.k@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +3 -2      ports/multimedia/libva/Makefile
  1.2       +2 -2      ports/multimedia/libva/distinfo
  1.1       +20 -0     ports/multimedia/libva/files/patch-test-encode-h264encode.c (new)
  1.2       +6 -0      ports/multimedia/libva/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2011-03-09 16:49:49 UTC
State Changed
From-To: open->closed

Committed. Thanks!